﻿@{
    ViewBag.Title = "Messaging";

    Layout = "~/Views/Shared/_Layout.cshtml";
}

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Mailbox
            <small>13 new messages</small>
        </h1>
        @*<ol class="breadcrumb">
                <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                <li class="active">Mailbox</li>
            </ol>*@
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-3">
                <a href="@Url.Action("Compose")" id="composeButtton" class="btn btn-primary btn-block margin-bottom">Compose</a>
                <div class="box box-solid">
                    <div class="box-header with-border">
                        <h3 class="box-title">Folders</h3>
                        <div class="box-tools">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse">
                                <i class="fa fa-minus"></i>
                            </button>
                        </div>
                    </div>
                    <div class="box-body no-padding">
                        <ul class="nav nav-pills nav-stacked">
                            <li class="active">
                                <a href="@Url.Action("Index")">
                                    <i class="fa fa-inbox"></i> Inbox
                                    <span class="label label-primary pull-right">12</span>
                                </a>
                            </li>
                            <li><a href="@Url.Action("Sent")"><i class="fa fa-envelope-o"></i> Sent</a></li>
                            <li><a href="@Url.Action("Index")"><i class="fa fa-file-text-o"></i> Drafts</a></li>
                            <li>
                                <a href="@Url.Action("Starred")"><i class="fa fa-filter"></i> Starred <span class="label label-warning pull-right">65</span></a>
                            </li>
                            <li><a href="#"><i class="fa fa-trash-o"></i> Trash</a></li>
                        </ul>
                    </div>
                    <!-- /.box-body -->
                </div>
                <!-- /. box -->
                <div class="box box-solid">
                    <div class="box-header with-border">
                        <h3 class="box-title">Labels</h3>
                        <div class="box-tools">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse">
                                <i class="fa fa-minus"></i>
                            </button>
                        </div>
                    </div>
                    <div class="box-body no-padding">
                        <ul class="nav nav-pills nav-stacked">
                            <li>
                                <a href="#">
                                    <i class="fa fa-circle-o text-red"></i>
                                    Cantabile
                                    <span class="label label-primary pull-right">2</span>
                                </a>
                            </li>
                            <li>
                                <a href="#">
                                    <i class="fa fa-circle-o text-red"></i>
                                    Norcal house of chess
                                    <span class="label label-primary pull-right">1</span>
                                </a>
                            </li>
                            <li>
                                <a href="#">
                                    <i class="fa fa-circle-o text-red"></i>
                                    Berkeley chess club
                                    <span class="label label-primary pull-right">1</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                    <!-- /.box-body -->
                </div>
                <!-- /.box -->
            </div>
            <!-- /.col -->
            <div class="col-md-9">
                <div class="box box-primary">

                    @RenderBody()

                </div>
                <!-- /. box -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->
</div>

<!-- /.content-wrapper -->
<footer class="main-footer"></footer>

<!-- /.control-sidebar -->
<!-- Add the sidebar's background. This div must be placed
     immediately after the control sidebar -->
<div class="control-sidebar-bg"></div>

@section Styles{
    <!-- Bootstrap 3.3.6 -->
    @*<link rel="stylesheet" href="../../bootstrap/css/bootstrap.min.css">*@
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.5.0/css/font-awesome.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
    <!-- fullCalendar 2.2.5-->
    @*<link rel="stylesheet" href="../../plugins/fullcalendar/fullcalendar.min.css">
        <link rel="stylesheet" href="../../plugins/fullcalendar/fullcalendar.print.css" media="print">*@
    <!-- Theme style -->
    <link href="~/Content/Message/AdminLTE.css" rel="stylesheet" />
    <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
    @*<link rel="stylesheet" href="../../dist/css/skins/_all-skins.min.css">*@
    <!-- iCheck -->
    @*<link rel="stylesheet" href="../../plugins/iCheck/flat/blue.css">*@
}

@section Scripts{
    <!-- jQuery 2.2.0 -->
    @*<script src="../../plugins/jQuery/jQuery-2.2.0.min.js"></script>*@
    <script src="~/Scripts/Libraries/jQuery/jquery-3.1.1.min.js"></script>

    <script src="~/Scripts/jquery.signalR-2.2.1.js"></script>

    <script src="~/signalr/hubs"></script>

    <script src="~/Scripts/Message/scripts.js"></script>


    <!-- iCheck -->
    @* <script src="../../plugins/iCheck/icheck.min.js"></script>*@

    <!-- Page Script -->
    <script>

        //chat = $.connection.signalRHub;

        $(function () {
            //Enable check and uncheck all functionality
            $(".checkbox-toggle").click(function () {
                var clicks = $(this).data('clicks');
                if (clicks) {
                    //Uncheck all checkboxes
                    $(".mailbox-messages input[type='checkbox']").iCheck("uncheck");
                    $(".fa", this).removeClass("fa-check-square-o").addClass('fa-square-o');
                } else {
                    //Check all checkboxes
                    $(".mailbox-messages input[type='checkbox']").iCheck("check");
                    $(".fa", this).removeClass("fa-square-o").addClass('fa-check-square-o');
                }
                $(this).data("clicks", !clicks);
            });

            //Handle starring for glyphicon and font awesome
            $(".mailbox-star").click(function (e) {
                e.preventDefault();
                //detect type
                var $this = $(this).find("a > i");
                var glyph = $this.hasClass("glyphicon");
                var fa = $this.hasClass("fa");

                //Switch states
                if (glyph) {
                    $this.toggleClass("glyphicon-star");
                    $this.toggleClass("glyphicon-star-empty");
                }

                if (fa) {
                    $this.toggleClass("fa-star");
                    $this.toggleClass("fa-star-o");
                }
            });

        });

    </script>
    <!-- AdminLTE for demo purposes -->
    @*<script src="../../dist/js/demo.js"></script>*@


    @RenderSection("Scripts", required: false)
}

<!-- ./wrapper -->
